# remirepo/fedora spec file for php-horde-Horde-Image
#
# Copyright (c) 2012-2015 Nick Bebout, Remi Collet
#
# License: MIT
# https://fedoraproject.org/wiki/Licensing:MIT#Modern_Style_with_sublicense
#
# Please, preserve the changelog entries
#
%{!?__pear:       %global __pear       %{_bindir}/pear}
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}

%global pear_name    Horde_Image
%global pear_channel pear.horde.org
%global with_tests   %{?_without_tests:0}%{!?_without_tests:1}

Name:           php-horde-Horde-Image
Version:        2.6.1
Release:        1%{?dist}
Summary:        Horde Image API

Group:          Development/Libraries
License:        GPLv2+ and LGPLv2
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  php(language) >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
BuildRequires:  php-pear(%{pear_channel}/Horde_Stream) >= 1.6.2
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
Requires:       php-date
Requires:       php-exif
Requires:       php-pcre
Requires:       php-spl
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Stream) >= 1.6.2
Requires:       php-pear(%{pear_channel}/Horde_Stream) <  2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Support) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Support) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Translation) >= 2.2.0
Requires:       php-pear(%{pear_channel}/Horde_Translation) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Util) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Util) <  3.0.0
# Optional
Requires:       php-gd
Requires:       php-json
Requires:       php-zlib
Requires:       php-pear(XML_SVG)

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}
Provides:       php-composer(horde/horde-image) = %{version}


%description
An Image utility API, with backends for:
* GD
* GIF
* PNG
* SVG
* SWF
* ImageMagick convert command line tool
* Imagick Extension

Optional dependency: php-pecl-imagick


%prep
%setup -q -c

cd %{pear_name}-%{version}

# Don't install .po and .pot files
# Remove checksum for .mo, as we regenerate them
sed -e '/%{pear_name}.po/d' \
    -e '/%{pear_name}.mo/s/md5sum=.*name=/name=/' \
    ../package.xml >%{name}.xml
touch -r ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}

# Regenerate the locales
for po in $(find locale -name \*.po)
do
   msgfmt $po -o $(dirname $po)/$(basename $po .po).mo
done


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

for loc in locale/{??,??_??}
do
    lang=$(basename $loc)
    test -d %{buildroot}%{pear_datadir}/%{pear_name}/$loc \
         && echo "%%lang(${lang%_*}) %{pear_datadir}/%{pear_name}/$loc"
done | tee ../%{pear_name}.lang


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit --bootstrap bootstrap.php .


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files -f %{pear_name}.lang
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Image
%{pear_phpdir}/Horde/Image.php
%dir %{pear_datadir}/%{pear_name}
%dir %{pear_datadir}/%{pear_name}/locale
%{pear_testdir}/Horde_Image



%changelog
* Fri Mar 13 2020 josef radinger <cheese@nosuchhost.net> - 2.6.1-1
- bump version

* Tue Jan 15 2019 josef radinger <cheese@nosuchhost.net> - 2.6.0-1
- bump version

* Wed Jan 02 2019 josef radinger <cheese@nosuchhost.net> - 2.5.4-1
- bump version

* Tue Jun 26 2018 josef radinger <cheese@nosuchhost.net> - 2.5.3-1
- bump version
- add --bootstrap bootstrap.php to check

* Wed Sep 20 2017 josef radinger <cheese@nosuchhost.net> - 2.5.2-1
- bump version

* Mon Jun 26 2017 josef radinger <cheese@nosuchhost.net> - 2.5.1-1
- bump version

* Thu Jun 22 2017 josef radinger <cheese@nosuchhost.net> - 2.5.0-1
- bump version

* Tue Apr 11 2017 josef radinger <cheese@nosuchhost.net> - 2.4.1-1
- bump version

* Mon Mar 20 2017 josef radinger <cheese@nosuchhost.net> - 2.4.0-1
- bump version

* Sat Dec 03 2016 josef radinger <cheese@nosuchhost.net> - 2.3.6-2
- always run checks

* Wed Jul 13 2016 josef radinger <cheese@nosuchhost.net> - 2.3.6-1
- bump version

* Mon Mar 21 2016 josef radinger <cheese@nosuchhost.net> - 2.3.5-1
- bump version

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.3.4-1
- bump version

* Tue Sep 08 2015 josef radinger <cheese@nosuchhost.net> - 2.3.3-1
- bump version
- resync spec-file

* Fri Jul 31 2015 josef radinger <cheese@nosuchhost.net> - 2.3.2-1
- bump version
- add povides php-composer(horde/horde-image)

* Tue Apr 28 2015 josef radinger <cheese@nosuchhost.net> - 2.3.1-1
- bump version

* Thu Apr 16 2015 josef radinger <cheese@nosuchhost.net> - 2.3.0-1
- bump version

* Wed Feb 11 2015 josef radinger <cheese@nosuchhost.net> - 2.2.0-1
- bump version

* Wed Jun 18 2014 josef radinger <cheese@nosuchhost.net> - 2.1.0-1
- bump version

* Thu Jun 12 2014 josef radinger <cheese@nosuchhost.net> - 2.0.9-1
- bump version

* Thu May 22 2014 josef radinger <cheese@nosuchhost.net> - 2.0.8-1
- bump version

* Sun Apr 13 2014 josef radinger <cheese@nosuchhost.net> - 2.0.7-1
- Update to 2.0.7

* Mon Jul 15 2013 Remi Collet <remi@fedoraproject.org> - 2.0.5-1
- Update to 2.0.5

* Wed Mar 06 2013 Remi Collet <remi@fedoraproject.org> - 2.0.4-1
- Update to 2.0.4

* Wed Feb 6 2013 Nick Bebout <nb@fedoraproject.org> - 2.0.3-3
- Update for review

* Tue Jan 29 2013 Remi Collet <remi@fedoraproject.org> - 2.0.3-1
- Update to 2.0.3

* Wed Jan  9 2013 Remi Collet <remi@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2
- manage locales
- new test layout (requires Horde_Test 2.1.0)

* Mon Nov 19 2012 Remi Collet <remi@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1

* Mon Nov  5 2012 Remi Collet <remi@fedoraproject.org> - 2.0.0-2
- cleanups
- requires php-pear(XML_SVG)

* Thu Nov  1 2012 Remi Collet <remi@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0

* Thu Jun 21 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.10-1
- Upgrade to 1.0.10

* Sat Jan 28 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.9-1
- Initial package

